# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset
from dictionaries.versions import views_helper

def setTmcExtendetoptionsType(currentType, meta):
    tmc1 = Table('tmc1', meta, autoload=True)
    tmc2 = Table('tmc2', meta, autoload=True)
    tmc1.c.extendetoptions.alter(type=currentType)
    tmc2.c.extendetoptions.alter(type=currentType)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    setTmcExtendetoptionsType(Text(), meta)
    views_helper.update_dic_view(migrate_engine, 'tmc')

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # Operations to reverse the above upgrade go here.
    setTmcExtendetoptionsType(String(8000), meta)
    views_helper.update_dic_view(migrate_engine, 'tmc')
