from sqlalchemy import *
from migrate import *
import migrate.changeset
from dictionaries.versions import views_helper
import re

def getKitdiscTables(meta):
    kitdisc1 = Table('kitdisc1', meta, autoload=True)
    kitdisc2 = Table('kitdisc2', meta, autoload=True)
    return [kitdisc1, kitdisc2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    for tbl in getKitdiscTables(meta):
        impactmode = Column('impactmode', Integer, nullable=False, server_default='1')
        impactmode.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'kitdisc')

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    conn = migrate_engine.connect()
    tblname = views_helper.get_table_name(migrate_engine,'kitdisc')
    for tbl in getKitdiscTables(meta):
        if hasattr(tbl.c, 'discmode'):
            tbl.c.discmode.drop()
        if hasattr(tbl.c, 'impactmode'):
            tbl.c.impactmode.drop()
    views_helper.update_dic_view(migrate_engine, 'kitdisc',tblname)
