from sqlalchemy import Boolean
from sqlalchemy import MetaData
from sqlalchemy import Column
from sqlalchemy import DefaultClause
from dictionaries.versions import views_helper

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in views_helper.getTables(meta, 'hotkey'):
        if 'bybarcode' not in tbl.columns:
            bybarcodeColumn = Column('bybarcode', Boolean, DefaultClause('0'), nullable=True)
            bybarcodeColumn.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'hotkey', None)
    
def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    hotkey = views_helper.get_table_name(migrate_engine, 'hotkey')
    views_helper.drop_column(migrate_engine, 'hotkey', 'bybarcode', Boolean)