from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getRemainBarcodeTable(meta):
    return Table('remainbarcode', meta,
        Column('barcode', String(255), nullable=False, primary_key=True),
        Column('quant', Numeric(precision=13, scale=3), nullable=False),
        Column('datetime', DateTime, nullable=True)
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getRemainBarcodeTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getRemainBarcodeTable(meta))
