from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

# lang с ограничением в 50 символов, а не 255, потому что на MySql 5.7 нельзя создать primaryKey > 1000 bytes
def getTranslationTable(meta):
    return Table('tr', meta,
        Column('id', String(255), nullable=False, primary_key=True),
        Column('idtype', Integer, nullable=False, primary_key=True),
        Column('lang', String(50), nullable=False, primary_key=True),
        Column('translation', String(255), nullable=False),
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getTranslationTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getTranslationTable(meta))
