from sqlalchemy import *
from migrate import *
from documents.versions import dump

def getTable(meta):
    return Table('goodsitem', meta, autoload=True)

def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; bind migrate_engine
    # to your metadata
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    tbl = getTable(meta)
    if not 'tags' in tbl.columns:
        Column('tags', String(100), nullable=True).create(tbl)

def downgrade(migrate_engine):
    # Operations to reverse the above upgrade go here.
    meta = MetaData(bind=migrate_engine)
    tbl = getTable(meta)
    if 'tags' in tbl.columns:
        tbl.c.tags.drop()
