from sqlalchemy import *
from migrate import *

def getDiscItem(meta):
    return Table('discitem', meta, autoload=True)

def getAdditionalPriceTable(meta):
    return Table('additionalprice', meta,
        Column('additionalpriceid', Integer, nullable=False, primary_key=True, autoincrement=True),
        Column('discitemid', Integer, ForeignKey(getDiscItem(meta).c.discitemid, name='additionalpricediscitemidfk',
                ondelete='CASCADE'), nullable=False),
        Column('name', String(255), nullable=True),
        Column('documentid', String(255), nullable=True),
        Column('effectivedate', DateTime, nullable=False),
        mysql_engine='InnoDB'
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    additionalPriceTable = getAdditionalPriceTable(meta)
    if not additionalPriceTable.exists(meta.bind):
        additionalPriceTable.create()

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    additionalPriceTable = getAdditionalPriceTable(meta)
    if additionalPriceTable.exists(meta.bind):
        additionalPriceTable.drop()
