# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
from documents.versions import dump

def getTables(meta):
    document = Table('document', meta, autoload=True)
    goodsitem = Table('goodsitem', meta, autoload=True)
    stornogoodsitem = Table('stornogoodsitem', meta, autoload=True)
    return [document, goodsitem, stornogoodsitem]


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)

    for table in getTables(meta):
    	table.c.opid.alter(type=String(255))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for table in getTables(meta):
    	table.c.opid.alter(type=Integer)