from sqlalchemy import *
from migrate import *
from documents.versions import dump

columnNames = ['groupcode', 'groupname']

def getTables(meta):
    goodsitem = Table('goodsitem', meta, autoload=True)
    stornogoodsitem = Table('stornogoodsitem', meta, autoload=True)
    return [goodsitem, stornogoodsitem]

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)

    for table in getTables(meta):
        for columnName in columnNames:
            if not columnName in table.columns:
                Column(columnName, String(255), nullable=True).create(table)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for table in getTables(meta):
        for columnName in columnNames:
            if columnName in table.columns:
                Column(columnName, String(255), nullable=True).drop(table)

