from sqlalchemy import *
from migrate import *
from documents.versions import dump

indexName = 'goodsitemmarkingcodeidx'
tableName = 'goodsitem'


def getTable(meta):
    return Table(tableName, meta, autoload=True)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    tbl = getTable(meta)
    if indexName not in [ind.name for ind in tbl.indexes]:
        Index(indexName, tbl.c.markingcode, unique=False).create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tbl = getTable(meta)
    if indexName in [ind.name for ind in tbl.indexes]:
        Index(indexName, tbl.c.markingcode, unique=False).drop()
