from sqlalchemy import *
from migrate import *

def getDocument(meta):
    return Table('document', meta, autoload=True)

def getNoteTable(meta):
    return Table('noteitem', meta,
        Column('id', Integer, nullable=False, autoincrement=True, primary_key=True),
        Column('noteid', Integer, nullable=False),
        Column('documentid', Integer, ForeignKey(getDocument(meta).c.documentid, name='notedocumentidfk',
                ondelete='CASCADE'), nullable=False),
        Column('triggerid', String(255), nullable=True),
        Column('triggertype', Integer, nullable=False),
        Column('data', Text, nullable=False),
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getNoteTable(meta)
    if not table.exists(meta.bind):
        table.create()

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getNoteTable(meta)
    if table.exists(meta.bind):
        table.drop()
